function xdot = sys_carrello_openloop(x, t, x0, k_bar, M, h, k)
% Moto di un sistema massa-molla-smorzatore
% -----------------------------------------
% costanti del problema
%
% massa del carrello M
% M = 123.52;   % kg
% h = 9.12;     % Ns/m
% k = 10.89;     % N/m
% cosi' roots([M h k]) complesse coniug.
% se invece: 
% M = 123.52;   % kg
% h = 90.12;     % Ns/m
% k = 10.89;     % N/m
% allora roots([M h k]) reali distinte
%
% valori nominali:
%   costante  elastica della molla
%   spostamento A REGIME desiderato
% k_bar = 10.09; % N/m
% x0 = 4.71;    % m
%
% =====================================
% controllo di posizione a ciclo aperto
%
% segnale di comando
u = k_bar*x0;
% simulazione del carrello, quando si applica u
xdot(1) = x(2);
xdot(2) = -(k/M)*x(1)-(h/M)*x(2) +(1/M)*u;

endfunction